TAU_GET_EVENT_NAMES(3)

NAME
TAU_GET_EVENT_NAMES - Gets the registered user events.

SYNOPSIS

C/C++:

TAU_GET_EVENT_NAMES(const char ***eventList, int *numEvents);

DESCRIPTION

Retrieves user event names for all user-defined events

EXAMPLE

C/C++ :

const char **eventList;
int numEvents;
TAU_GET_EVENT_NAMES(eventList, numEvents);
cout << "numEvents: " << numEvents << endl;

SEE ALSO

TAU_REGISTER_EVENT(3), TAU_REGISTER_CONTEXT_EVENT(3), TAU_GET_EVENT_VALS(3)